Subject: RE: ANY queries, recursing nameserver?

From: "Everhart, Craig" <[email-masked]>
Date: Tue, 28 Mar 2006 14:07:57 -0500

My mental model is that T_ANY semantics agrees with 'Mr DNS'.  If the
server knows anything about the name, that's what the response will be.
If it has to forward the query, you might get back what some *other*
server knows about the name, which might be authoritative.

Back in the day I was sending mail, so I needed T_MX if it existed, but
T_A if it didn't.  I decided to query with T_ANY and see what I got,
then for the specific types, just because of this T_ANY behavior.  That
is, if my server had to ask around for the answer, it might as well get
everything (with T_ANY) rather than have to make one trip for T_MX and
then another for T_A.

I think the point is that T_ANY is not what the hypothetical
T_ABSOLUTELY_EVERYTHING might be.

		Craig 

> -----Original Message-----
> From: bert hubert [mailto:[email-masked]] 
> Sent: Tuesday, March 28, 2006 1:47 PM
> To: [email-masked]
> Subject: ANY queries, recursing nameserver?
> 
> People,
> 
> I've trawled RFC 1034, 1035 and 2181, yet I can't find it 
> written down on what a recursing nameserver should do on 
> receiving an ANY query (aka QTYPE=*).
> 
> http://www.faqts.com/knowledge_base/view.phtml/aid/30221 
> lists nonsense I think - step 4 of the algorithm is never 
> reached if RD is turned on.
> 
> 'Mr DNS' (why I think was Cricket), said in 1997:
> 
>    Actually, a T_ANY lookup isn't guaranteed to return the 
> TXT records,
>    unless you're querying the authoritative name server 
> directly. On another
>    name server, T_ANY will only return whatever the server 
> already knows
>    about the domain name.
> 
> I'd love to believe this but it doesn't sound all too useful 
> to me, but it sure makes coding simple.
> 
> Anybody have an authoritative (haha) reference?
> 
> Thanks.
> 
> -- 
> http://www.PowerDNS.com      Open source, database driven DNS 
> Software 
> http://netherlabs.nl              Open and Closed source services
> 
> --
> to unsubscribe send a message to 
> [email-masked] with the word 'unsubscribe' 
> in a single line as the message text body.
> archive: <http://ops.ietf.org/lists/namedroppers/>
> 

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>